@echo off
rem ANDROID PROJECT PATH..
set PROJECT_PATH=C:/Users/Admin/AndroidStudioProjects/cmcchandrapur

rem PATH TO STORE THE LOG FILE, TO SEE IS THERE IS ANY ERROR WHILE BUILDING APP.
set LOG_FILE=C:/xampp/htdocs/cmc_chandrapur/build_script_log.txt

rem Set JAVA_HOME explicitly
set JAVA_HOME=C:\Program Files\Java\jdk-17

echo Build script started at %date% %time% > %LOG_FILE%

rem GO TO THE DIRECTORY WHERE PROJECT LOCATED 
cd %PROJECT_PATH%

rem Set PATH to include JAVA_HOME
set PATH=%JAVA_HOME%\bin;%PATH%
	
echo Running gradlew assembleDebug... >> %LOG_FILE%
rem AFTER GOING TO THE PROJECT DIRECTORY, RUNNING BELOW COMMAND TO BUILD THE DEBUG VERSION OF OUR-APP, 
rem ALSO ABLE TO USE THE ' gradlew assembleRelease ' - TO BUILD THE RELEASE VERSION OF OUR-APP.
gradlew assembleDebug >> %LOG_FILE% 2>&1

echo Build script completed at %date% %time% >> %LOG_FILE%
