<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $website_url = $_POST['website_url'];

    // Validate the URL by checking if it exists on the web
    if (urlExists($website_url)) {
        // Path to your Android Studio project
        $strings_file_path = 'C:/Users/Admin/AndroidStudioProjects/cmcchandrapur/app/src/main/res/values/strings.xml';

        // Load the strings.xml file
        $xml = simplexml_load_file($strings_file_path);

        // Update the website_url string
        foreach ($xml->string as $string) {
            if ((string) $string['name'] === 'website_url') {
                $string[0] = $website_url;
                break;
            }
        }

        // Save the updated strings.xml file
        $xml->asXML($strings_file_path);

        // Path to the script that automates the Android build process
        $build_script = 'build_script.bat';

        // Execute the build script and capture the output and errors
        exec("cmd /c \"$build_script\" 2>&1", $output, $return_var);

        // Log the output to a file for debugging
        file_put_contents('C:/xampp/htdocs/cmc_chandrapur/build_log.txt', implode("\n", $output));

        // Assuming the APK is now generated, provide a download link
        $apk_filename = 'C:/Users/Admin/AndroidStudioProjects/cmcchandrapur/app/build/outputs/apk/debug/app-debug.apk';
        if (file_exists($apk_filename)) {
            header('Content-Description: File Transfer');
            header('Content-Type: application/vnd.android.package-archive');
            header('Content-Disposition: attachment; filename=your-app.apk');
            header('Expires: 0');
            header('Cache-Control: must-revalidate');
            header('Pragma: public');
            header('Content-Length: ' . filesize($apk_filename));
            readfile($apk_filename);
            exit;
        } else {
            echo "APK file not found.";
        }

        if ($return_var === 0) {
            echo "Build process initiated successfully. Please check the server logs for details.";
        } else {
            echo "Error: Build process failed. Please check the server logs for details.";
        }
    } else {
        echo "URL does not exist or is unreachable.";
    }
}

// Function to check if a URL exists
function urlExists($url) {
    $headers = @get_headers($url);
    return $headers && strpos($headers[0], '200');
}
?>
